import Vue from 'vue'
import App from './App'
import store from './store' // store
import plugins from './plugins' // plugins
// import './permission' // permission

import uView from '@/uni_modules/uview-ui'
Vue.use(uView)

// import Videojs from 'video.js'
// import 'video.js/dist/video-js.css'
// Vue.prototype.$video = Videojs

// import 'mui-player/dist/mui-player.min.css'
import fixedButtom  from '@/components/fixedButtom/fixedButtom.vue'
Vue.component('fixedButtom', fixedButtom)
Vue.use(plugins)


Vue.config.productionTip = false
Vue.prototype.$store = store

App.mpType = 'app'

const app = new Vue({
	...App
})

app.$mount()